Welcome to the FloCis Interactive Module

Click the image below to launch the player.

Click here to launch the FloCis Interactive Module

Please note that this interactive module is driven using a 3D plugin called Unity3D. It is not harmful to your computer and installs easily to your broswer.

Our module for the time being is only supported in Google Chrome and Mozilla Firefox. Therefore if you are not using a supported browser the module will not open. We are updating our list of supported browsers. We apologize for the inconvenience.

Thanks, FloCis Support Team

 

 

 

Unfortunately your browser is not supported by our Interactive Learning Module. Please click on a link below to download a compatible browser. Thank you.

 

Download Firefox
Download Internet Explorer
Download Google Chrome
Download Safari from Apple